#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%global		debug_package	%{nil}
%define		sname		%(echo %{name} | cut -d '-' -f2)
%global		__python	/usr/bin/python3
%global		pyt3ver		%(%{__python} --version | cut -d ' ' -f2 |cut -d '.' -f1-2)
%global		pyt3num		%(echo %{pyt3ver} | tr -d '.')
#-----------------------------------------------------------------------------
Name		:	python3-sphinx_rtd_theme
Version		:	1.1.1
Release		:	17.0.10.rel%{?dist}
Summary		:	Easy communication with NetworkManager

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	https://github.com/seveas/python-networkmanage

Source0		:	%{sname}-%{version}.tar.gz
Source1		:	%{name}-ok_addon.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	%{__python}
BuildRequires	:	python-build
BuildRequires	:	python-flit-core
BuildRequires	:	python-installer
BuildRequires	:	python3-setuptools
BuildRequires	:	python-wheel

BuildRequires	:	python3-sphinxcontrib-httpdomain

Requires	:	%{__python}

BuildArch	:	noarch
#-----------------------------------------------------------------------------
%description
This is a prototype mobile-friendly sphinx theme for
readthedocs.org.
It's currently in development and includes some rtd
variable checks that can be ignored if you're just
trying to use it on your project outside of that site.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc README.rst
%license LICENSE
%{python3_sitelib}/%{sname}/theme.conf
%{python3_sitelib}/%{sname}/*.html
%{python3_sitelib}/%{sname}/*.py
%{python3_sitelib}/%{sname}/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/static/css/*.css
%{python3_sitelib}/%{sname}/static/css/fonts/*.eot
%{python3_sitelib}/%{sname}/static/css/fonts/*.svg
%{python3_sitelib}/%{sname}/static/css/fonts/*.ttf
%{python3_sitelib}/%{sname}/static/css/fonts/*.woff
%{python3_sitelib}/%{sname}/static/css/fonts/*.woff2
%{python3_sitelib}/%{sname}/static/js/*.js
%{python3_sitelib}/%{sname}/locale/sphinx.pot
%{python3_sitelib}/%{sname}-%{version}.dist-info/
%lang(de) %{python3_sitelib}/%{sname}/locale/de/
%lang(en) %{python3_sitelib}/%{sname}/locale/en/
%lang(es) %{python3_sitelib}/%{sname}/locale/es/
%lang(et) %{python3_sitelib}/%{sname}/locale/et/
%lang(fa_IR) %{python3_sitelib}/%{sname}/locale/fa_IR/
%lang(fr) %{python3_sitelib}/%{sname}/locale/fr/
%lang(it) %{python3_sitelib}/%{sname}/locale/hr/
%lang(it) %{python3_sitelib}/%{sname}/locale/hu/
%lang(it) %{python3_sitelib}/%{sname}/locale/it/
%lang(lt) %{python3_sitelib}/%{sname}/locale/lt/
%lang(nl) %{python3_sitelib}/%{sname}/locale/nl/
%lang(pl) %{python3_sitelib}/%{sname}/locale/pl/
%lang(pt) %{python3_sitelib}/%{sname}/locale/pt/
%lang(pt_BR) %{python3_sitelib}/%{sname}/locale/pt_BR/
%lang(ru) %{python3_sitelib}/%{sname}/locale/ru/
%lang(sv) %{python3_sitelib}/%{sname}/locale/sv/
%lang(tr) %{python3_sitelib}/%{sname}/locale/tr/
%lang(zh_CN) %{python3_sitelib}/%{sname}/locale/zh_CN/

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}
tar xf %{SOURCE1}
%{__cp} 						\
	%{name}-ok_addon/*-objects.inv 			\
	.

#-----------------------------------------------------------------------------
#building application
%build

%{__python}						\
	-m build					\
	--wheel						\
	--skip-dependency-check				\
	--no-isolation					\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__python}						\
	-m installer					\
	--destdir=%{buildroot}				\
	dist/*.whl					\

#-----------------------------------------------------------------------------
%changelog
